/*
    SPDX-FileCopyrightText: 2017 Volker Krause <vkrause@kde.org>

    SPDX-License-Identifier: MIT
*/

#ifndef KUSERFEEDBACK_LOCALEINFOSOURCE_H
#define KUSERFEEDBACK_LOCALEINFOSOURCE_H

#include "kuserfeedbackcore_export.h"
#include "abstractdatasource.h"

namespace KUserFeedback {

/*!
 * \class KUserFeedback::LocaleInfoSource
 * \inmodule KUserFeedbackCore
 * \inheaderfile KUserFeedback/LocaleInfoSource
 *
 * \brief Data source reporting the region and language settings.
 *
 * The default telemetry mode for this source is Provider::DetailedSystemInformation.
 */
class KUSERFEEDBACKCORE_EXPORT LocaleInfoSource : public AbstractDataSource
{
    Q_DECLARE_TR_FUNCTIONS(KUserFeedback::LocaleInfoSource)
public:
    /*!
     *
     */
    LocaleInfoSource();

    QString name() const override;
    QString description() const override;

    QVariant data() override;
};

}

#endif // KUSERFEEDBACK_LOCALEINFOSOURCE_H
