/*
    SPDX-FileCopyrightText: 2017 Volker Krause <vkrause@kde.org>

    SPDX-License-Identifier: MIT
*/

#ifndef KUSERFEEDBACK_QPAINFOSOURCE_H
#define KUSERFEEDBACK_QPAINFOSOURCE_H

#include "kuserfeedbackcore_export.h"
#include "abstractdatasource.h"

namespace KUserFeedback {

/*!
 * \class KUserFeedback::QPAInfoSource
 * \inmodule KUserFeedbackCore
 * \inheaderfile KUserFeedback/QPAInfoSource
 *
 * \brief Reports information about the Qt platform abstraction plugin the application
 * is running on.
 *
 * The default telemetry mode for this source is Provider::BasicSystemInformation.
 */
class KUSERFEEDBACKCORE_EXPORT QPAInfoSource : public AbstractDataSource
{
    Q_DECLARE_TR_FUNCTIONS(KUserFeedback::QPAInfoSource)
public:
    /*!
     *
     */
    QPAInfoSource();

    QString name() const override;
    QString description() const override;

    QVariant data() override;
};

}

#endif // KUSERFEEDBACK_QPAINFOSOURCE_H
